---
title: WebGLContextEvent.statusMessage
slug: Web/API/WebGLContextEvent/statusMessage
tags:
  - API
  - Property
  - Read-only
  - Reference
  - WebGL
  - WebGLContextEvent
---
<div>{{APIRef("WebGL")}}</div>

<p>The read-only <code><strong>WebGLContextEvent.statusMessage</strong></code> property contains additional event status information, or is an empty string if no additional information is available.</p>

<h2 id="Examples">Examples</h2>

<p>The <code>statusMessage</code> property can contain a platform dependent string with details of an event. This can occur, for example, if the {{Event("webglcontextcreationerror")}} event is fired.</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');

canvas.addEventListener('webglcontextcreationerror', function(e) {
  console.log('WebGL context creation failed:' +
              e.statusMessage || 'Unknown error');
}, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#5.15.1", "WebGLContextEvent.statusMessage")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLContextEvent.statusMessage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/HTMLCanvasElement/webglcontextcreationerror_event">webglcontextcreationerror</a></li>
</ul>
